import { db, IRandomElementMixin } from "../db";
import { ICommand } from "./command";

const triggers = [
    "dead server",
    "dead chat",
    "ded chat",
    "ded server"
];

export default {
    onMessage: (actionsDone, msg, content) => {
        if (actionsDone)
            return false;
    
        let lowerContent = content.toLowerCase();
        
        if(!triggers.some(s => lowerContent.includes(s)))
            return false;
        
        let deadChatReplies = db.get("deadChatReplies") as IRandomElementMixin;

        msg.channel.send(deadChatReplies.randomElement().value());
        return true;
    }
} as ICommand;